Bug 125071 - Custom slide show breaks after exporting to pptx
Summary: Custom slide show breaks after exporting to pptx
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: medium normal
Assignee: Tibor Nagy (NISZ)
URL:
Whiteboard: target:7.2.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-SlideShowSettings
  Show dependency treegraph
 
Reported: 2019-05-01 22:27 UTC by cjdg
Modified: 2021-06-08 12:12 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample odp file to test with custom slide shows (11.92 KB, application/vnd.oasis.opendocument.presentation)
2019-05-02 03:57 UTC, Usama
Details
Original file with errors (6.52 MB, application/vnd.oasis.opendocument.presentation)
2019-05-02 18:01 UTC, cjdg
Details
Screenshot of the original document and it PPTX version in Impress (93.54 KB, image/png)
2021-01-28 09:16 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cjdg 2019-05-01 22:27:24 UTC
Description:
Having a custom slide show got breaks and lost after exporting to pptx format, even re saving again as odp, sometimes cannot store the customized slides, or even when they were stored, after clicking on start custom slideshow starts from the beginning

Steps to Reproduce:
1. Create a new presentation
2. Create a new custom slideshow
3. Save it as pptx
4. Close and open again
5. Open "custom slideshows" and its empty
6. Save again as odp and close.
7. Open and create a custom slideshow, select it and mark "play custom slideshoW" and will start all the time from the first slide of the whole presentation

Actual Results:
Dont get custom slideshows

Expected Results:
Have a custom slideshow


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Usama 2019-05-02 03:57:17 UTC
Confirmed on:

Ubuntu 16.04
Version: 6.3.0.0.alpha0+
Build ID: c9956772ec0678498515fb60dca41e9a77457f86
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-04-18_19:56:56
Locale: fr-FR (tr_TR.UTF-8); UI-Language: en-US
Calc: threaded

and:
Version: 5.1.6.2
Build ID: 1:5.1.6~rc2-0ubuntu1~xenial6
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: en-GB (tr_TR.UTF-8); Calc: group


There are also some other things that I notice. 

1. The start button in the "Custom slide show" window run the entire slide show not the selected one till you tick the "Use custom slide show" button which will make it the default slide show that is run from the main window as well
2. "Use custom slide show" doesn't get activated from the first time, I have to reopen the window and tick it again.
Comment 2 Usama 2019-05-02 03:57:49 UTC
Created attachment 151124 [details]
Sample odp file to test with custom slide shows
Comment 3 cjdg 2019-05-02 18:01:01 UTC
Created attachment 151138 [details]
Original file with errors

Here is the file which has issues
Comment 4 NISZ LibreOffice Team 2021-01-28 09:16:42 UTC
Created attachment 169217 [details]
Screenshot of the original document and it PPTX version in Impress

Still nothing is exported in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7eb289c49cc7245ef3001a39be0c15d06bbe875b
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
Comment 5 Commit Notification 2021-05-28 10:27:27 UTC
Tibor Nagy committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a4b66458a7b8da2f5580014813e5dabe3fa670b6

tdf#125071 PPTX: fix missing custom slide show export

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Timur 2021-05-31 09:22:01 UTC
When reopened in LO and MSO custom show is there and it runs in MSO. 
I set Verified, thanks.
Comment 7 Timur 2021-06-01 08:29:16 UTC
Upon further testing, seems that there's something wrong here.
1. open PPTX attachment 172523 [details] which is Custom slide show from MSO
see that custom SS are imported and run OK (bug 131390)
2. save as PPTX in LO 
3. reopen in MSO and see that custom SS runs OK
4. reopen in LO and see that custom SS doesn't run (with "Use custom SS" and "Start")
Comment 8 Timur 2021-06-02 07:04:25 UTC
I guess I was wrong. 
This is not about PPTX but Impress doesn't run custom SS on 1st run, bug 142595.
Comment 9 NISZ LibreOffice Team 2021-06-08 12:12:30 UTC
Verified in: 

Version: 7.2.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: 3b57ebb445df8a2bc3d916ea79f8af45e20e4e62
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded